# 59. Query: „AsAppliedDatasets“ abrufen

Rufe alle "AsAppliedDatasets" für das ausgewählte "Feld" ab. Datensätze können mit generischen GraphQL-Abfragen wie `getFarms` und `getFields` vom verknüpften "Field" abgerufen werden.&#x20;

{% hint style="warning" %}
Ein "AsAppliedDataset" muss im Voraus hochgeladen werden.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    name
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        name
        number #Gesamtanzahl der Geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #vollständige Details pro Attribut
          name #Verweis auf Statistik >> Attribut
          transliteratedName
          fullName #korrekter, für Menschen lesbarer Name
          unit#Maßeinheiten
        }

        usedMachines { #verwendete Maschinen
          id
          serial
          operatorId
        } 

        createdDate #Entität-Erstellungsdatum/-uhrzeit in GeoPard
        updatedDate #Datum/Uhrzeit der letzten Aktualisierung
        operationId
        operationType
        operationFileDate #DateTime der Dateierstellung stammt aus den Metainformationen 
        operationStartDate #Beginn der Tätigkeit stammt aus den Metainformationen
        
        statistics { #Statistikverteilung für jedes Attribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        name
        number #Gesamtanzahl der Geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #vollständige Details pro Attribut
          name #Verweis auf Statistik >> Attribut
          transliteratedName
          fullName #korrekter, für Menschen lesbarer Name
          unit#Maßeinheiten
        }

        usedMachines { #verwendete Maschinen
          id
          serial
          operatorId
        } 

        createdDate #Entität-Erstellungsdatum/-uhrzeit in GeoPard
        updatedDate #Datum/Uhrzeit der letzten Aktualisierung
        operationId
        operationType
        operationFileDate #DateTime der Dateierstellung stammt aus den Metainformationen 
        operationStartDate #Beginn der Tätigkeit stammt aus den Metainformationen
        
        statistics { #Statistikverteilung für jedes Attribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/59.-query-asapplieddatasets-abrufen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
